<?php
/**
 * Filename: WPPosts.php
 * Author: LPH
 */
class TRN_XenLate_Model_WPPosts extends XenForo_Model {
	public static function getHtml() {

		define( 'WP_USE_THEMES', false );
		define( 'DOCUMENT_ROOT', $_SERVER['DOCUMENT_ROOT'] );

		// Change the path to the correct location
		require( DOCUMENT_ROOT . '/wp-blog-header.php' );

		$args          = array(
			'numberposts' => '5',
			'offset' 			=> 0,
			'post_type' 	=> 'post',
			'post_status' => 'publish'
		);

		$LatestWPPosts = wp_get_recent_posts( $args );

		echo '<div class="section">
               <div class="secondaryContent">
                   <div class="visitorText">
                       <h3>Latest Articles</h3>
                       <div class="LatestWPPosts">';

		foreach ( $LatestWPPosts as $LatestWPPost ) {

			$excerpt = apply_filters('the_excerpt', get_post_field('post_excerpt', $LatestWPPost['ID']));
			$thumbnail = get_the_post_thumbnail( $LatestWPPost['ID'], array( 50, 50) );

			if ( empty( $thumbnail ) ) {

				echo "<h4><a href='" . esc_url( get_permalink( $LatestWPPost['ID'] ) ) . "'>" . $LatestWPPost['post_title'] . '</a></h4>';

			} else {

				echo '<div class="recent_post">';
				echo '<div class="thumbnail">' . $thumbnail . '</div>';
				echo "<h4><a href='" . esc_url( get_permalink( $LatestWPPost['ID'] ) ) . "'>" . $LatestWPPost['post_title'] . '</a></h4><br />';
				echo '<div class="excerpt">' . $excerpt . '</div>';
				echo '</div>';

			}

		}

		wp_reset_query();

		echo '</div>
                       </div>
                   </div>
                </div>
            ';

	}
}

// End WPPosts.php